Skip to content

List Proposal Evidence

GET
/v1/evidence/proposals/{proposal_key}
curl --request GET \
--url 'https://example.com/v1/evidence/proposals/example?tenant_id='
proposal_key
required
Proposal Key
string
tenant_id
Tenant Id
string
""
x-api-key
Any of:
string

Successful Response

Media typeapplication/json
EvidenceRecordListOut
object
items
Items
Array<object>
EvidenceRecordOut
object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string
tenant_id
required
Tenant Id
string
record_type
required
Record Type
string
event_type
required
Event Type
string
proposal_id
Any of:
string
proposal_key
Any of:
string
graph_name
Any of:
string
resource_type
Any of:
string
resource_id
Any of:
string
before_snapshot
Any of:
GraphSnapshot
object
tenant_id
required
Tenant Id
string
graph_name
required
Graph Name
string
node_count
Node Count
integer
0
edge_count
Edge Count
integer
0
digest
required
ArtifactDigest
object
algorithm
Algorithm
string
default: sha256
value
required
Value
string
size_bytes
Any of:
integer
axis_counts
Axis Counts
object
key
additional properties
integer
edge_axis_counts
Edge Axis Counts
object
key
additional properties
integer
entity_kinds
Entity Kinds
object
key
additional properties
integer
relationship_types
Relationship Types
object
key
additional properties
integer
materialization_summary
Materialization Summary
object
key
additional properties
any
after_snapshot
Any of:
GraphSnapshot
object
tenant_id
required
Tenant Id
string
graph_name
required
Graph Name
string
node_count
Node Count
integer
0
edge_count
Edge Count
integer
0
digest
required
ArtifactDigest
object
algorithm
Algorithm
string
default: sha256
value
required
Value
string
size_bytes
Any of:
integer
axis_counts
Axis Counts
object
key
additional properties
integer
edge_axis_counts
Edge Axis Counts
object
key
additional properties
integer
entity_kinds
Entity Kinds
object
key
additional properties
integer
relationship_types
Relationship Types
object
key
additional properties
integer
materialization_summary
Materialization Summary
object
key
additional properties
any
policy_decision
Policy Decision
object
key
additional properties
any
connector_call_summaries
Connector Call Summaries
Array<object>
object
key
additional properties
any
approvers
Approvers
Array<string>
attestations
Attestations
Array<object>
Attestation
object
attestation_type
Attestation Type
string
default: system_event
actor_type
Actor Type
string
default: system
actor_id
Any of:
string
issued_at
Any of:
string format: date-time
attributes
Attributes
object
key
additional properties
any
worm_pointer
Any of:
WormPointer
object
uri
required
Uri
string
endpoint
Endpoint
string
""
bucket
Bucket
string
""
object_key
Object Key
string
""
checksum_sha256
Checksum Sha256
string
""
etag
Etag
string
""
version_id
Version Id
string
""
retention_mode
Retention Mode
string
default: compliance
retention_until
Any of:
string format: date-time
object_lock_enabled
Object Lock Enabled
boolean
default: true
ers_metadata
Ers Metadata
object
key
additional properties
any
provenance_bundle
Any of:
ProvenanceBundle
object
bundle_id
required
Bundle Id
string
source_system
Source System
string
default: fractalops
entity_refs
Entity Refs
Array<string>
activity_refs
Activity Refs
Array<string>
agent_refs
Agent Refs
Array<string>
metadata
Metadata
object
key
additional properties
any
agent_run
Any of:
AgentRun
object
run_id
required
Run Id
string
agent_kind
required
Agent Kind
string
model_name
Model Name
string
""
policy_mode
Policy Mode
string
default: proposal_bound
decision_mode
Decision Mode
string
default: policy_governed
metadata
Metadata
object
key
additional properties
any
payload
Payload
object
key
additional properties
any
Example
{
"items": [
{
"before_snapshot": {
"node_count": 0,
"edge_count": 0,
"digest": {
"algorithm": "sha256"
}
},
"after_snapshot": {
"node_count": 0,
"edge_count": 0,
"digest": {
"algorithm": "sha256"
}
},
"attestations": [
{
"attestation_type": "system_event",
"actor_type": "system"
}
],
"worm_pointer": {
"endpoint": "",
"bucket": "",
"object_key": "",
"checksum_sha256": "",
"etag": "",
"version_id": "",
"retention_mode": "compliance",
"object_lock_enabled": true
},
"provenance_bundle": {
"source_system": "fractalops"
},
"agent_run": {
"model_name": "",
"policy_mode": "proposal_bound",
"decision_mode": "policy_governed"
}
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}